SystemOrganization addCategory: #ConfigurationOfSeaside28!

Object subclass: #ConfigurationOfSeaside28
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSeaside28'!

!ConfigurationOfSeaside28 class methodsFor: 'private' stamp: 'DaleHenrichs 12/19/2009 09:43'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfSeaside28 class methodsFor: 'private' stamp: 'DaleHenrichs 12/19/2009 09:43'!
ensureMetacello
	"Minimum package versions from which to boot Metacello. Corresponds to version 1.0-beta.15"

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Minimum version of Gofer from which to bootstrap"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:gofer |
			gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				addVersion: 'Metacello-Core-dkh.302'; "Minimum version from which to bootstrap Metacello"
				addVersion: 'Metacello-MC-dkh.258'; "Minimum version from which to bootstrap Metacello"
				addPackage: 'ConfigurationOfMetacello'; "Loads latest version of configuration package"
				load ].
		"load latest version of Metacello, load a specific version if desired"
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfSeaside28 class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 12/19/2009 09:43'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSeaside28 class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 12/19/2009 09:43'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfSeaside28 class methodsFor: 'loading' stamp: 'DaleHenrichs 12/19/2009 10:52'!
load
	"self load"
	
	self project latestVersion load! !

!ConfigurationOfSeaside28 class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 12/19/2009 09:43'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfSeaside28 class methodsFor: 'accessing' stamp: 'DaleHenrichs 12/19/2009 09:43'!
project

	^self new project! !

!ConfigurationOfSeaside28 methodsFor: 'baselines' stamp: 'DaleHenrichs 12/19/2009 10:30'!
baseline2840: spec 
	<version: '2.8.4-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'Initial baseline for Seaside 2.8.4'.
		spec repository: 'http://www.squeaksource.com/Seaside'.].
	
	spec for: #squeakCommon do: [
		spec
			project: 'KomHttpServer' with: [
				spec
					className: 'ConfigurationOfKomHttpServer';
					versionString: '1.0-baseline';
					projectPackage: [
						spec
							name: 'ConfigurationOfKomHttpServer';
							repository: 'http://www.squeaksource.com/MetacelloRepository' ]];
			yourself.
		spec
			package: 'Comet' with: [
				spec requires: #('Seaside2.8a1' 'Scriptaculous') ];
			package: 'RSRSS2' with: [
				spec
					requires: 'Seaside2.8a1';
					repository: 'http://www.squeaksource.com/rsrss' ];
			package: 'Seaside2.8a1' with: [
				spec requires: 'KomHttpServer' ];
			package: 'Scriptaculous' with: [
				spec requires: 'Seaside2.8a1' ];
			yourself ].
	spec for: #gemstone do: [
		spec
			project: 'Announcements' with: [
				spec
					className: 'ConfigurationOfGsMisc';
					loads: #('Announcements');
					projectPackage: [
						spec
							name: 'ConfigurationOfGsMisc';
							repository: 'http://seaside.gemstone.com/ss/GLASSproject' ]];
			project: 'Utf8Encoding' copyFrom: 'Announcements' with: [
				spec
					loads: #('Utf8Encoding').];
			project: 'Core' with: [
				spec
					className: 'ConfigurationOfGsCore';
					projectPackage: [
						spec
							name: 'ConfigurationOfGsCore';
							repository: 'http://seaside.gemstone.com/ss/GLASSproject' ]];
			project: 'FastCGI' with: [
				spec
					className: 'ConfigurationOfGsFastCGI';
					projectPackage: [
						spec
							name: 'ConfigurationOfGsFastCGI';
							repository: 'http://seaside.gemstone.com/ss/fastcgi']];
			project: 'Hyper' with: [
				spec
					className: 'ConfigurationOfGsHyper';
					projectPackage: [
						spec
							name: 'ConfigurationOfGsHyper';
							repository: 'http://seaside.gemstone.com/ss/hyper' ]];
			yourself.
		spec 
		spec 
			package: 'FastCGISeaside' with: [ 
				spec 
					requires: #('FastCGI' 'Seaside2.8a1');
					repository: 'http://seaside.gemstone.com/ss/fastcgi'];
			package: 'HyperSeaside' with: [ 
				spec 
					requires: #('Hyper' 'Seaside2.8a1');
					repository: 'http://seaside.gemstone.com/ss/hyper'];
			package: 'RSRSS2' with: [ 
					spec 
						requires: #('Seaside2.8a1');
						repository: 'http://seaside.gemstone.com/ss/rsrss2'.];
			package: 'Scriptaculous' with: [ spec requires: #('Seaside2.8a1')];
			package: 'SeasideAsync' with: [ spec requires: #('Seaside2.8a1')];
			package: 'Seaside2.8a1' with: [
				spec 
					requires: #('Announcements' 'Utf8Encoding' 'Core');
					postLoadDoIt: #postLoadSeaside284GS];
			yourself.
		spec
			group: 'default' with: #('Seaside2.8a1');
			yourself ].! !

!ConfigurationOfSeaside28 methodsFor: 'doits' stamp: 'DaleHenrichs 12/19/2009 09:59'!
postLoadSeaside284GS

	Smalltalk at: #WAHtmlEncoder ifPresent: [:cl | cl initialize ].
	Smalltalk at: #WAUrlEncoder ifPresent: [:cl | cl initialize ]! !

!ConfigurationOfSeaside28 methodsFor: 'accessing' stamp: 'DaleHenrichs 12/19/2009 09:43'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear ]! !

!ConfigurationOfSeaside28 methodsFor: 'versions' stamp: 'DaleHenrichs 12/19/2009 10:19'!
version2842: spec
	<version: '2.8.4.2' imports: #('2.8.4-baseline' )>

	spec for: #common do: [
		spec blessing: #development.
		spec description: 'Seaside 2.8.4 with package versions as of 12/19/2009'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '12/19/2009 10:10'.].
	spec for: #squeakCommon do: [
		spec 
			project: 'KomHttpServer' with: '1.0'.
		spec 
			package: 'Comet' with: 'Comet-lr.29';
			package: 'RSRSS2' with: 'RSRSS2-pmm.12';
			package: 'Seaside2.8a1' with: 'Seaside2.8a1-pmm.596';
			package: 'Scriptaculous' with: 'Scriptaculous-lr.250';
			yourself.].
	spec for: #gemstone do: [
		spec
			project: 'Core' with: '0.233';
			project: 'FastCGI' with: '0.233';
			project: 'Hyper' with: '0.232';
			project: 'Announcements' with: '0.233';
			project: 'Utf8Encoding' with: '0.233'.
		spec 
			package: 'SeasideAsync' with: 'SeasideAsync.g-dkh.75';
			package: 'Scriptaculous' with: 'Scriptaculous.g-kdt.244';
			package: 'RSRSS2' with: 'RSRSS2.g-dkh.16';
			package: 'FastCGISeaside' with: 'FastCGISeaside-jgf.49';
			package: 'HyperSeaside' with: 'HyperSeaside-dkh.5';
			yourself].
	spec for: #'gs2.x' do: [
		spec
			package: 'Seaside2.8a1' with: 'Seaside2.8g1-jgf.630'].
	spec for: #'gs3.x' do: [
		spec
			package: 'Seaside2.8a1' with: 'Seaside2.8g1.v3-dkh.625'].
! !
